CodeCharge Studio
search Register Login  

Web Reporting

Visually create Web Reports in PHP, ASP, .NET, Java, Perl and ColdFusion.
CodeCharge.com

YesSoftware Forums -> CodeCharge Studio -> General/Other

 When we have a new version of the IDE RAD Studio CodeCharge

Print topic Send  topic

Author Message
fcostapb

Posts: 10
Posted: 03/01/2016, 5:05 AM

It's been a few years that YesSoftware launched the 5.1.1.18990 version of 29.10.2013 , and in these two years and two months still there was no announcement of an upgrade or fix packs . I wonder if there is provision for a release or timetable that we set the length of the IDE updates.
View profile  Send private message
vandalen

Posts: 57
Posted: 03/02/2016, 2:29 PM

Doubt there will ever be one. And ... they never answer this type of questions ... or any question on this forum.
View profile  Send private message
cleyan


Posts: 128
Posted: 03/05/2016, 6:32 AM

I agree,
I'm still using CCS to some projects because is (was?) a really good help to fast developing but i think yessoftware forgot us some time (years) ago

Good luck
_________________
**************************************************
Carlos Leyan B.
Temuco, Chile
www.leytec.net
View profile  Send private message
ccsminer

Posts: 108
Posted: 03/05/2016, 11:14 PM

As long as the forum boards are working, remain optimistic. :)
View profile  Send private message
fcostapb

Posts: 10
Posted: 03/07/2016, 3:54 AM

felt the words of this ccsminer something like " While life to hope " ... I do not know if he is one of the forum moderators but it really is something that worries since CCS is an excellent RAD IDE , and strongly competes with other existing , however in recent years comes against other companies on the contrary it has been investing heavily in their platforms improvements.
Well, I hope this is momentary and that YesSoftware can give us reason to be optimistic .
View profile  Send private message
Oli

Posts: 2
Posted: 03/09/2016, 5:55 AM

Uff, I am in the same case, wait about an new CSS version that were compatible with php7!
I have an CCS 4.3 Licence and a lot off project done with this, and very happy with it, but now need an new version (also another licence, because I had to mantain CSS 4.3 version) that can be have an compatible code with php7.
I have send an email but no news about them :-(
I have not found any other program that can be a better solution (or they are very expensive, or they are very bad!)
View profile  Send private message
ccsminer

Posts: 108
Posted: 03/13/2016, 8:58 PM

Quote fcostapb:
felt the words of this ccsminer something like " While life to hope " ... I do not know if he is one of the forum moderators but it really is something that worries since CCS is an excellent RAD IDE , and strongly competes with other existing , however in recent years comes against other companies on the contrary it has been investing heavily in their platforms improvements.
Well, I hope this is momentary and that YesSoftware can give us reason to be optimistic .

fcostapb -

I am not one one o the forum moderators, but I prefer remaining optimistic.

- ccsminer
View profile  Send private message
mor

Posts: 119
Posted: 03/18/2016, 4:54 AM

Availible new version of CCS 5.1 (code compatible with PHP 7)!
Works for me 8-) (PHP: 7.0.4, Apache: 2.4.18, MySQL: 5.0.12)
_________________
Mor ve Ötesi
View profile  Send private message
fcostapb

Posts: 10
Posted: 03/18/2016, 5:08 AM

I think the 5.1 version very good, but needs improvements to various components... particularly use CodeCharge to make my faster development for this market can not give long term customers and also to the application should be easy to maintain without much garbage in-built code, do not speak the language itself that they generate in code but in improvements in RAD and its components.
View profile  Send private message
cybermaya

Posts: 1
Posted: 03/18/2016, 6:06 AM

Today is the day...

CodeCharge Studio 5.1 Update Available (5.1.1.18992)

CodeCharge Studio was updated with the following changes and fixes:

CCS 5.1 now supports PHP 7
Fixed numerous compatibility issues with the PHP 5.5+
Updated ODBC connector
Updated MySQL connector
:-)
View profile  Send private message
Oli

Posts: 2
Posted: 03/18/2016, 7:51 AM

I have talk with the yessoftware support the last 2 weeks about this (bug with php7), trying to know if they were going to do new updates, and the support answer that I recieved not give me a lot of hopes... and... YES, they have do an new update with php7 support!!!!!

I don't know is for my ticket or for other clients claims, but in any case,it's an very very great news for us!!!!

THANKS A LOT!

View profile  Send private message
Oper


Posts: 1181
Posted: 03/18/2016, 8:03 AM

Keep in Mind Yes will never talk about future release or update in Advanced!!!

_________________
____________________________
http://www.7bz.com (Free CMS,CRM Developed in CCS)

http://www.PremiumWebTemplate.com
Affiliation Web Site Templates

Please do backup first
View profile  Send private message
fcostapb

Posts: 10
Posted: 03/18/2016, 11:57 AM

As our friend ccsminer 'm keeping optimistic and hopeful.
View profile  Send private message
desert


Posts: 24
Posted: 03/18/2016, 12:37 PM

A new version is out!! Thank you yessoftware!!
View profile  Send private message
fcostapb

Posts: 10
Posted: 03/18/2016, 12:58 PM

Thankfully , it's about time ... 2 years and 5 months since the last update , thank YesSoftware we thank programmers
View profile  Send private message
duncan

Posts: 2
Posted: 03/18/2016, 2:00 PM

Most certainly very welcome news!!! after more than 3yrs of waiting!!

just ran into a problem with the new .18992 version after upgrading from .18990 ... now none of my systems are authenticating ... yet the password that was working previously hasn't been changed... any chance you might know what's up with that?
View profile  Send private message
DataDoIT
Posted: 03/18/2016, 4:50 PM

Ran into this also. No database interactions were working from PHP
(though all was well in the CodeCharge application).

In CodeCharge, went to Modify Connection -> Server Tab, and changed PHP
Database Library from 'MySQL' to 'Improved MySQL'. All is well afterwards.

I can only assume it is "improved".
cvboucher

Posts: 191
Posted: 03/18/2016, 5:04 PM

Has anyone tried the new .18992 version against PostgreSQL and the new ODBC Connector? In .18990 I'm not able to get schema information in the IDE. Hoping it's fixed in the update.

On a side note, I'd love for YES to open the template creation part of CodeCharge and allow others to create their own set of templates.
View profile  Send private message
acedrummond


Posts: 81
Posted: 03/19/2016, 11:17 AM

Just tried new version on Win 10 machine Apache/2.4.9 (Win32) PHP/5.5.12 MySql 5.6.17

New install on machine that has not had previous version CCS before.

No issues with install. Created a few new screens as well as a login screen and everything worked well.

Promoted new screens to my production server in a test sub domain and everything there went well including using the built in publish function.

When I went to close the application it failed with unknown error - I lost some unsaved work; however after restoring what was lost and saving again all OK. (No crash report on system.)

My issues in the past with CCS was that latest release very unstable under anything beyond Win 8.0 Also ftp process to promote to production server failed.

I'm still a bit not trusting it and will try to carefully update some existing applications in a test area and see how that goes. Given my past experiences I'm VERY cautious and will need to ring it out more.

Pleased that we got an update , but given past experience remain only cautiously optimistic.

*** Update ***

I took existing application and started editing under the new version.

I was previously using ver 5.1 #18696 and when I stated this application under new version 5.1.1 there was no conversion.

What I've run into so far:

1. Login failed with error related to field 'autologin' not being found. Even if I recreated the login screen using the builder it still exhibited the same thing. The work around I came up with was to specify the remember me check box and then delete it after it was generated and then just add a checkbox with the name 'autologin' which I eventually hid!

2. Funky stuff :
a. Trying to edit a sorter header in a grid it was difficult to get to the right properties. It seemed if you highlighted the sorter from right to left it worked sometimes, but not always.
b. Trying to change a radio button control field it was also difficult to get to the right properties if not impossible.
c. I experienced one error where wrong spec on a join garnered an error message in a foreign language! No I don't know what language, but I could kind of make it out and fixed that problem. [Resolved: MYSQL error msg default language incorrect my server.]

3. I had the typical failure where the ccs system quits; again, no error reports I can see. So make sure to save your work constantly (nothing new.)

It is not terrible from my perspective and I'm sure those using the latest php and mysql need it more than I do right now, but IT COULD BE A LOT BETTER and NEEDS IMPROVEMENT.




_________________
Ace Drummond
View profile  Send private message
ccsminer

Posts: 108
Posted: 03/19/2016, 10:35 PM

Glad to hear a new version is now out. I believe there will be more good news to come. :)




View profile  Send private message
eratech


Posts: 513
Posted: 03/21/2016, 2:50 AM

Quote DataDoIT:
Ran into this also. No database interactions were working from PHP
(though all was well in the CodeCharge application).

In CodeCharge, went to Modify Connection -> Server Tab, and changed PHP
Database Library from 'MySQL' to 'Improved MySQL'. All is well afterwards.

I can only assume it is "improved".

The old MySQL library is deprecated (PHP 5.5) and removed in PHP 7. Changing to "Improved MySQL" (mysqli library) is strongly recommended:

http://php.net/manual/en/intro.mysql.php

Cheers

Eric
_________________
CCS 3/4/5 ASP Classic, VB.NET, PHP
Melbourne, Victoria, Australia
View profile  Send private message
fcostapb

Posts: 10
Posted: 03/21/2016, 4:32 AM

I upgraded ... And to my surprise nothing worked... I created an application using the wizards, because I thought it might be a mistake in one of my apps developed since I implement code, but the error also occurred in the application generated by assistant.

That bleak, open the topic asking when would launch a new version with bug fixes and fix that in my view should bring improvements in the end is causing more problems.
View profile  Send private message
ccsminer

Posts: 108
Posted: 03/21/2016, 7:52 AM

Quote DataDoIT:
Ran into this also. No database interactions were working from PHP
(though all was well in the CodeCharge application).

In CodeCharge, went to Modify Connection -> Server Tab, and changed PHP
Database Library from 'MySQL' to 'Improved MySQL'. All is well afterwards.

I can only assume it is "improved".

Appreciate the information. The prior calls are most likely deprecated under the newest version.
View profile  Send private message
ccsminer

Posts: 108
Posted: 03/21/2016, 7:55 AM

Quote fcostapb:
I upgraded ... And to my surprise nothing worked... I created an application using the wizards, because I thought it might be a mistake in one of my apps developed since I implement code, but the error also occurred in the application generated by assistant.

That bleak, open the topic asking when would launch a new version with bug fixes and fix that in my view should bring improvements in the end is causing more problems.

What MySQL connection method are you using in your application?


View profile  Send private message
cvboucher

Posts: 191
Posted: 03/21/2016, 3:01 PM

:( - New version still doesn't work with the PostgreSQL 32 bit ODBC driver.
View profile  Send private message
MichaelMcDonald

Posts: 638
Posted: 03/21/2016, 5:45 PM

Quote eratech:
Quote DataDoIT:
Ran into this also. No database interactions were working from PHP
(though all was well in the CodeCharge application).

In CodeCharge, went to Modify Connection -> Server Tab, and changed PHP
Database Library from 'MySQL' to 'Improved MySQL'. All is well afterwards.

I can only assume it is "improved".

The old MySQL library is deprecated (PHP 5.5) and removed in PHP 7. Changing to "Improved MySQL" (mysqli library) is strongly recommended:

http://php.net/manual/en/intro.mysql.php




Cheers

Eric

I wonder if Oracle in anyway is driving the MySQL changes and will this be an obscure fork away from MARIA compatibility?
_________________
Central Coast, NSW, Australia.

View profile  Send private message
MichaelMcDonald

Posts: 638
Posted: 03/22/2016, 5:12 AM

re my last comment, for those of you who don't know - in Australia I'm referred to as a dill.

BTW ... there is no such thing as I.T. security. Everyone imagines it :)
_________________
Central Coast, NSW, Australia.

View profile  Send private message
acedrummond


Posts: 81
Posted: 03/22/2016, 5:55 PM

Using latest version of CCS on WIN 10

Server Software: Apache/2.4.9 (Win32) PHP/5.5.12 Mysql 5.6.17

I'm finding it almost impossible to get to the properties of these fields configured as radio button or sorter at top of a column.

Anyone with the problem or a solution?
_________________
Ace Drummond
View profile  Send private message
acedrummond


Posts: 81
Posted: 03/22/2016, 5:55 PM

SOLVED

Using latest version of CCS on WIN 10

Server Software: Apache/2.4.9 (Win32) PHP/5.5.12 Mysql 5.6.17

I'm finding it almost impossible to get to the properties of these fields configured as radio button or sorter at top of a column.

Anyone with the problem or a solution?

I finally found a solution since F4 on the field not working properly. There is a drop down available on the properties panel at the top of panel and you can get to the properties there!

So all in all for my environment it is working and aside from it quitting or locking up infrequently it is an improvement over the previous version.//
_________________
Ace Drummond
View profile  Send private message
solesz

Posts: 137
Posted: 03/24/2016, 3:13 PM

Hi Guys,

After all we have a strict sign of Yessoftware still in alive. (o.k. I knew it already because I bought Themler license, where Yess was the seller...)

The version number changed in the fourth section and in the fifth digit of that and by 2:

5.1.1.18990 -> 5.1.1.18992

Possible explanations (IMHO):

1. I do hope they have been hardly working two and a half year ago on version 6, to be in line with the evolving technology directions, namely responsivness in all approaches: mobil devices, refreshing content, HTML5 etc.
- or -
2. They issued this release because of overhelming support requests regarding changes in server runtime enviroment around the world, where Codecharge is getting more and more uncompatible, and Yess wants to maximalize the Product-Over-The-Zenit profit. Exactly like when you have a new Product (Themler) and you give as little maintenance to the Old Product (CCS) which is barely enough to let that run, until the new product generates the requested profit.

I hope the first, but I bet on the latter.

Cheers.
View profile  Send private message
 Page 1 of 2  Next Last


Add new topic Subscribe to topic   


These are Community Forums for users to exchange information.
If you would like to obtain technical product help please visit http://support.yessoftware.com.

PHP Reports

Visually create Web Reports in PHP, ASP, .NET, Java, Perl and ColdFusion.
CodeCharge.com

Home   |    Search   |    Members   |    Register   |    Login


Powered by UltraApps Forum created with CodeCharge Studio
Copyright © 2003-2004 by UltraApps.com  and YesSoftware, Inc.